#if defined(ADAFRUIT_OLED)
#include <Arduino.h>
#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#include "Display.h"


namespace Display {

static Adafruit_SSD1306	oled(SSD1306_SWITCHCAPVCC, 0x3C);


void
Init()
{
	oled.begin(SSD1306_SWITCHCAPVCC, 0x3C);
	oled.display();
	oled.clearDisplay();
	oled.setTextSize(1);
	oled.setTextColor(WHITE);
	oled.fillScreen(BLACK);
	oled.display();
	Serial.println("DISP INIT");
}


void
Clear()
{
	Clear(false);
}

	
void
Clear(bool hint)
{
	oled.clearDisplay();
	SetCursor(0, 0);
	oled.display();
}


void
Draw()
{
	oled.display();
}


bool
HasDisplay()
{
	return true;
}


void
Print(const char *s)
{
	oled.print(s);
	Serial.print(s);
	oled.display();
}


void
Println(const char *s)
{
	oled.println(s);
	Serial.println(s);
	oled.display();
}


void
SetCursor(int16_t x, int16_t y)
{
	oled.setCursor(x, y);
}


} // namespace Display


#endif
